import numpy as np

D = np.loadtxt( "datos.txt" )
print( D.shape )

medias = np.mean( D, axis = 0 )
print( medias )

X = D - medias
print( X.shape )

Xhat = X.T @ X

vv, E = np.linalg.eig( Xhat )

print( "Eigenvectores:", E )
print( "Eigenvalores:", vv )

if vv[0] > vv[1] :  
	m1 = 0
	m2 = 1
else :
	m1 = 1
	m2 = 0

M = np.array( ( E[:,m1], E[:,m2] ) )
print( "Dirección:", E[:,m1] )

T = X @ M
print( "Datos trandformados" )
print( T )


np.savetxt( "salida.txt", T )
