import numpy as np 
from sklearn.preprocessing import MinMaxScaler

D = np.loadtxt( "datos.txt" )
print( D.shape )

normalizar = MinMaxScaler( feature_range=(-1, 1) )

normalizar.fit( D )
X = normalizar.transform( D )

print( X )

print( normalizar.data_min_ )
print( normalizar.data_max_ )
np.savetxt( "datosNorm.txt", X, fmt='%1.2f' )
